Subject: Re: bug#49208: 28.0.50; project-find-regexp's xref-mode result buffer is not editable

From: Juri Linkov <[email-masked]>
Date: Thu, 24 Jun 2021 23:52:37 +0300

> Not sure how to best implement this, and larger elisp code bases
> are hard to follow for me still; it sounds like a problem I'd tackle
> by storing the original, making an editable copy, then diffing the
> buffers on commit ([C-c C-c]) and apply the diffs per reference. In
> dired, apply line changes as renames; in wgrep, apply per-file diffs.
> Xref has file references for each item already, so I can imagine
> applying the changes might not be that difficult, since [r] offers
> replacement among all findings in a similar way, but only
> mass-replacements, not amendmends and free-form editing.

I don't know the details of wgrep and occur-edit-mode,
but I guess that after adding an option to specify the
format of the xref output buffer (instead of the hard-coded
xref--insert-xrefs), choosing an option to use a grep-like
output format will allow wgrep to edit it, and choosing an option
to use an occur-like output format will allow occur-edit-mode
to edit it.